org.apache.sling.maven.slingstart

## Class ModelPreprocessor.ProjectInfo

- java.lang.Object
- - org.apache.sling.maven.slingstart.ModelPreprocessor.ProjectInfo

Enclosing class:
  ModelPreprocessor

    public static final class ModelPreprocessor.ProjectInfo
    extends Object

### Field Summary

Fields
`String` `defaultProvisioningModelName`
`boolean` `done`
`boolean` `extendMavenClassPath`
`Map<org.apache.sling.provisioning.model.Artifact,org.apache.sling.provisioning.model.Model>` `includedModels`
`org.apache.sling.provisioning.model.Model` `localModel`
`org.apache.sling.provisioning.model.Model` `model`
`org.apache.maven.model.Plugin` `plugin`
`org.apache.maven.project.MavenProject` `project`

### Constructor Summary

Constructors
Constructor and Description
`ProjectInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    public org.apache.maven.project.MavenProject project

#### plugin

    public org.apache.maven.model.Plugin plugin

#### localModel

    public org.apache.sling.provisioning.model.Model localModel

#### done

    public boolean done

#### model

    public org.apache.sling.provisioning.model.Model model

#### extendMavenClassPath

    public boolean extendMavenClassPath

#### includedModels

    public final Map<org.apache.sling.provisioning.model.Artifact,org.apache.sling.provisioning.model.Model> includedModels

#### defaultProvisioningModelName

    public String defaultProvisioningModelName

### Constructor Detail

#### ProjectInfo

    public ProjectInfo()